#pragma once

#include <cstdint>
#include "displayapp/screens/Screen.h"
#include "displayapp/screens/ScreenList.h"

namespace Pinetime {


  namespace Applications {
    namespace Screens {

      class Settings : public Screen{
        public:
          Settings(DisplayApp* app,
          Pinetime::Controllers::Settings &settingsController);
          ~Settings() override;

          bool Refresh() override;
          
          void OnButtonEvent(lv_obj_t *object, lv_event_t event);
          bool OnTouchEvent(Pinetime::Applications::TouchEvents event) override;

        private:          

          Controllers::Settings& settingsController;
          
          ScreenList<2> screens;

          std::unique_ptr<Screen> CreateScreen1();
          std::unique_ptr<Screen> CreateScreen2();


      };
    }
  }
}
